RichSequenceFormat.HeaderlessFormat (BioJava-1.5-beta API)
Keywords: org.biojavax.bio.seq.io.RichSequenceFormat.HeaderlessFormat class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojavax.bio.seq.io
Class RichSequenceFormat.HeaderlessFormat

    java.lang.Object
      org.biojavax.bio.seq.io.RichSequenceFormat.BasicFormat
          org.biojavax.bio.seq.io.RichSequenceFormat.HeaderlessFormat

All Implemented Interfaces:
  SequenceFormat, RichSequenceFormat

Direct Known Subclasses:
  EMBLFormat, FastaFormat, GenbankFormat, UniProtFormat

Enclosing interface:
  RichSequenceFormat

    public abstract static class RichSequenceFormat.HeaderlessFormat

extends RichSequenceFormat.BasicFormat

Provides the basic implementation required for simple header/footer-less files such as Genbank.

Nested Class Summary

Nested classes/interfaces inherited from interface org.biojavax.bio.seq.io.RichSequenceFormat
`RichSequenceFormat.BasicFormat, RichSequenceFormat.HeaderlessFormat`

Constructor Summary
`RichSequenceFormat.HeaderlessFormat()`

Method Summary
`void` | `beginWriting()` Informs the writer that we want to start writing.
`void` | `finishWriting()` Informs the writer that are done writing.

Methods inherited from class org.biojavax.bio.seq.io.RichSequenceFormat.BasicFormat
`canRead, getElideComments, getElideFeatures, getElideReferences, getElideSymbols, getLineWidth, getPrintStream, guessSymbolTokenization, setElideComments, setElideFeatures, setElideReferences, setElideSymbols, setLineWidth, setPrintStream`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.biojavax.bio.seq.io.RichSequenceFormat
`canRead, guessSymbolTokenization, readRichSequence, writeSequence`

Methods inherited from interface org.biojava.bio.seq.io.SequenceFormat
`getDefaultFormat, readSequence, writeSequence, writeSequence`

Constructor Detail

### RichSequenceFormat.HeaderlessFormat

    public RichSequenceFormat.HeaderlessFormat()

Method Detail

### beginWriting

    public void beginWriting()
                      throws IOException

  Informs the writer that we want to start writing. This will do any initialisation required, such as writing the opening tags of an XML file that groups sequences together.

  Throws:
    `IOException` - if writing fails.

### finishWriting

    public void finishWriting()
                       throws IOException

  Informs the writer that are done writing. This will do any finalisation required, such as writing the closing tags of an XML file that groups sequences together.

  Throws:
    `IOException` - if writing fails.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD